Subject: [nemo] ro-problem-statement and ro-space-analysis documents

From: Jari Arkko <[email-masked]>
Date: Thu, 16 Nov 2006 21:26:51 +0200

Hi all,

These two documents were in IESG review today
and they will be approved. However, before sending
them to the RFC Editor, I would like to make one change,
based on Sam Hartman's comments (copied at the end).

In the ro-space-analysis document, change

Cryptographically Generated Addresses (CGA) [40] could be used to
establish the ownership of care-of addresses and network prefixes

to

Cryptographically Generated Addresses (CGA) [40] could be used to
establish the ownership of care-of addresses

Let me know if there are any objections by Monday next
week. Otherwise I'll add an RFC Editor note and move
the document forward.

Thanks,

--Jari

> There is a lot of good work here.  The solutions document provides an
> excellent survey of the existing work.  But the analysis seems lacking
> especially in areas where the existing work is kind of lacking, such
> as security.  I don't believe that this ballot is sufficient as a
> basis for a standards-track nemo ro approach.  There are a lot of
> discussions of security, architecture and how well considered the
> input proposals are that still need to happen.  I think there needs to
> be significannt input from the IPV6 and MIP6 communities before we get
> to an approach that is likely to withstand IETF review.
>
>
> I'm balloting an abstain rather than a no-ob because it seems like
> there is a lot of half-baked analysis mixed in with some really good
> stuff and I'm concerned that separating it out will be hard.  Specific
> examples that really triggered this abstain include:
>
> The claim in 2.5 of the problem statement that there is a security
> problem associated with accepting traffic from visiting nodes.
>
>
> The idea of using  an anycast address to find correspondant routers. 
>
> The idea of creating a multilink subnet for all the nodes in the
> mobile network.
>
> Use of CGA to prove ownership of a prefix.
>
> Yes, these ideas have been brought forward.  They should be discussed.
> But the analysis seems rather incomplete.